## octave-video 1.2.4

=== Makefile ===
## Copyright 2015-2016 Andreas Weber
## Copyright 2015-2016 Mike Miller
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Makefile to simplify Octave Forge package maintenance tasks

PACKAGE = $(shell $(SED) -n -e 's/^Name: *\(\w\+\)/\1/p' DESCRIPTION | $(TOLOWER))
VERSION = $(shell $(SED) -n -e 's/^Version: *\(\w\+\)/\1/p' DESCRIPTION | $(TOLOWER))

RELEASE_DIR     = $(PACKAGE)-$(VERSION)
RELEASE_TARBALL = $(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        = $(PACKAGE)-html
HTML_TARBALL    = $(PACKAGE)-html.tar.gz

MD5SUM    ?= md5sum
MKOCTFILE ?= mkoctfile
OCTAVE    ?= octave
SED       ?= sed
TAR       ?= tar

TOLOWER = $(SED) -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'

.PHONY: help dist html release install all check run doc debug clean maintainer-clean

help:
	@echo "Targets:"
	@echo "   dist             - Create $(RELEASE_TARBALL) for release"
	@echo "   html             - Create $(HTML_TARBALL) for release"
	@echo "   release          - Create both of the above and show md5sums"
	@echo
	@echo "   install          - Install the package in GNU Octave"
	@echo "   all              - Build all oct files"
	@echo "   check            - Execute package tests (w/o install)"
	@echo "   run              - Run Octave with development in PATH (no install)"
	@echo "   debug            - Build with debug flags, run and attach gdb (w/o install)"
	@echo "   doc              - Build Texinfo package manual"
	@echo
	@echo "   clean            - Remove releases, html documentation, and oct files"
	@echo "   maintainer-clean - Additionally remove all generated files"

$(RELEASE_DIR): .hg/dirstate
	@echo "Creating package version $(VERSION) release ..."
	-rm -rf $@
	hg archive --exclude ".hg*" --exclude Makefile --type files $@
	cd "$@" && rm -rf "devel/" && cd "src/" && ./bootstrap && rm -rf "autom4te.cache"
	chmod -R a+rX,u+w,go-w $@

$(RELEASE_TARBALL): $(RELEASE_DIR)
	$(TAR) cf - --posix $< | gzip -9n > $@
	-rm -rf $<

$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	-rm -rf $@
	$(OCTAVE) --silent \
	  --eval 'graphics_toolkit ("gnuplot");' \
	  --eval 'pkg load generate_html $(PACKAGE);' \
	  --eval 'generate_package_html ("$(PACKAGE)", "$@", "octave-forge");'
	chmod -R a+rX,u+w,go-w $@

$(HTML_TARBALL): $(HTML_DIR)
	$(TAR) cf - --posix $< | gzip -9n > $@
	-rm -rf $<

dist: $(RELEASE_TARBALL)

html: $(HTML_TARBALL)

release: dist html
	@$(MD5SUM) $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "Execute: hg tag \"$(VERSION)\""

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE) --silent --eval 'pkg install $(RELEASE_TARBALL);'

all:
	cd src && $(MAKE) $@

check: all
	$(OCTAVE) --no-gui --silent \
	  --eval 'addpath (fullfile ([pwd filesep "src"]));' \
	  --eval 'runtests ("src");'

run: all
	$(OCTAVE) --silent --persist \
	  --eval 'addpath (fullfile ([pwd filesep "src"]));'

debug: clean
	cd src/ && ./configure
	$(MAKE) -C src/ debug
	$(OCTAVE) --no-gui --silent --persist \
	  --eval 'addpath (fullfile ([pwd filesep "src"]));' \
	  --eval 'system (sprintf ("xfce4-terminal --command \"gdb -p %d\"", getpid ()), "async");'

style:
	find ./src \( -name "*.cc" -or -name "*.h" -or -name "*.m" \) -exec sed -i 's/[[:space:]]*$$//' {} \;
	find ./src \( -name "*.cc" -or -name "*.h" \) -exec astyle --style=gnu -s2 -n {} \;

doc:

clean:
	-rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)
	cd src && $(MAKE) $@

maintainer-clean: clean
	cd src && $(MAKE) $@

=== debian/changelog ===
octave-video (1.2.4-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:20 +0100

octave-video (1.2.4-4) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 05:57:15 -0300

octave-video (1.2.4-3) unstable; urgency=medium

  * d/p/compile-with-octave-5.1.patch: New patch
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 13:45:14 -0300

octave-video (1.2.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/p/xtest-avireader.patch: New patch (Closes: #940828)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Sep 2019 05:18:05 -0300

octave-video (1.2.4-1) unstable; urgency=low

  * Initial release (closes: #480773)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Feb 2019 12:26:33 -0300

=== debian/control ===
Source: octave-video
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libavutil-dev,
               libavformat-dev,
               libswscale-dev,
               libavresample-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/video/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-video
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: wrapper for libavformat and libavcodec in Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/video-(.+)\.tar\.gz

## octave-video 2.0.0

=== DESCRIPTION ===
Name: video
Version: 2.0.0
Date: 2020-02-24
Author: Andreas Weber <octave@josoansi.de> and the OpenCV developers
Maintainer: Andreas Weber <octave@josoansi.de>
Title: Video functions
Description: A wrapper for OpenCV's CvCapture_FFMPEG and CvVideoWriter_FFMPEG
Categories: Video processing
Depends: octave (>= 4.4.0)
BuildRequires: ffmpeg or libav
License: GPLv3 and 3-clause BSD (https://www.opencv.org/license.html)
Url: https://octave.sourceforge.io/video/index.html

=== debian/changelog ===
octave-video (2.0.0-2) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13
  * d/p/increase-tol-videowriter-unit-test.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 27 May 2020 08:13:59 -0300

octave-video (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * d/copyright: Reflect upstream changes
  * d/p/use-cxxflags.patch: Adjust for new upstream version
  * Patches dropped (useless for new upstream version):
    + d/p/xtest-avireader.patch
    + d/p/compile-with-octave-5.1.patch
  * d/control:
    + Build-depend on the correct ffmpeg libraries
    + Build-depend on pkg-config
    + Add more informative package description
    + Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Mar 2020 04:51:41 -0300

=== debian/control ===
Source: octave-video
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libswscale-dev,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/video/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-video
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: video file reader/writer for Octave
 This package contains an implementation of the VideoReader and
 VideoWriter classes, based on OpenCV's CvCapture_FFMPEG
 and CvVideoWriter_FFMPEG, for Octave, a scientific computation
 software.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-video 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: video
-Version: 2.0.0
-Date: 2020-02-24
+Version: 2.0.2
+Date: 2021-11-28
 Author: Andreas Weber <octave@josoansi.de> and the OpenCV developers
 Maintainer: Andreas Weber <octave@josoansi.de>
 Title: Video functions

=== debian/changelog ===
octave-video (2.0.2-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:38:13 +0000

octave-video (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * d/p/increase-tol-videowriter-unit-test.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Dec 2021 13:20:27 -0300

octave-video (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/p/increase-tol-videowriter-unit-test.patch: Update patch from
    upstream VCS source
  * d/clean: New file
  * d/copyright:
    + Update copyright years
    + Accentuate my family name
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Set Multi-Arch: same
  * d/u/metadata: Set  Archive field
  * d/watch: Bump to version 4 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Nov 2021 11:17:16 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libavutil-dev,
                libswscale-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/video/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
@@ -19,6 +19,7 @@
 
 Package: octave-video
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
 Description: video file reader/writer for Octave
  This package contains an implementation of the VideoReader and

=== debian/watch ===
version=4
http://sf.net/octave/video-(.+)\.tar\.gz

## octave-video 2.1.1

=== DESCRIPTION ===
Name: video
Version: 2.1.1
Date: 2023-07-07
Author: Andreas Weber <octave@josoansi.de> and the OpenCV developers
Maintainer: Andreas Weber <octave@josoansi.de>
Title: Video functions
Description: A wrapper for OpenCV's CvCapture_FFMPEG and CvVideoWriter_FFMPEG
Categories: Video processing
Depends: octave (>= 4.4.1)
BuildRequires: ffmpeg or libav >= Lavu56.22.100, SwS5.3.100, Lavc58.35.100, Lavf58.20.100
License: GPLv3 and 3-clause BSD (https://www.opencv.org/license.html)
Url: https://gnu-octave.github.io/packages/video/

=== debian/changelog ===
octave-video (2.1.1-3build3) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:19:35 +0200

octave-video (2.1.1-3build2) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:54:44 +0000

octave-video (2.1.1-3build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:58:30 +0200

octave-video (2.1.1-3) unstable; urgency=medium

  * d/p/increase-tolerance-videowriter-bist.patch: Increase even more the threshold

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Jul 2023 06:15:09 -0300

octave-video (2.1.1-2) unstable; urgency=medium

  * d/p/increase-tolerance-videowriter-bist.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 23 Jul 2023 18:20:48 -0300

octave-video (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * d/p/use-cxxflags.patch: Drop patch (applied ustream)
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch:
    + Adjust for new URL at gnu-octave.github.io
    + Use tarball URL at GitHub
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Jul 2023 05:55:25 -0300

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
                pkg-config
-Standards-Version: 4.6.0
-Homepage: https://octave.sourceforge.io/video/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/video/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
 Testsuite: autopkgtest-pkg-octave

## octave-video 2.1.3

=== debian/changelog ===
octave-video (2.1.3-2) unstable; urgency=medium

  * d/control: Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 10:56:43 -0300

octave-video (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * d/copyright: Reflect upstream changes
  * d/p/increase-tolerance-videowriter-bist.patch: Drop patch (applied
    upstream)
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository and update Repository-Browse URLs
  * d/control:
    + Build-depend on pkgconf instead of the deprecated pkg-config
      package
    + Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 16 Apr 2025 18:07:25 -0300

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/video/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-video
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

=== debian/watch ===
Version: 5

Template: Github
Owner: Andy1978
Project: octave-video
